# inspired from fedora spec file
# Copyright (c) 2015-2017 Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name      monolog
%define composer_vendor  monolog
%define composer_name    monolog

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-monolog
Version:       2.5.0
Release:       %mkrel 2
Summary:       Sends your logs to files, sockets, inboxes, databases and various web services
Group:         Development/PHP
License:       MIT
URL:           https://github.com/Seldaek/monolog
Source0:       https://github.com/Seldaek/monolog/archive/refs/tags/%{version}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.3
Requires:      php-composer(psr/log) >= 1.0.1
# phpcompatinfo (computed from version 1.22.0)
Requires:      php-curl
Requires:      php-filter
Requires:      php-hash
Requires:      php-json
Requires:      php-mbstring
Requires:      php-openssl
Requires:      php-pcre
Requires:      php-sockets
Requires:      php-xml
# autoloader
Requires:      php-composer(fedora/autoloader)
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:      php-composer(psr/log-implementation) = 1.0.0

%description
Monolog sends your logs to files, sockets, inboxes, databases and various web
services. Special handlers allow you to build advanced logging strategies.

This library implements the PSR-3 [1] interface that you can type-hint
against in your own libraries to keep a maximum of interoperability. You can
also use it in your applications to make sure you can always use another
compatible logger at a later time.

Autoloader: %{php_libdir}/Monolog/autoload.php

%prep
%autosetup -n %{github_name}-%{version}

%install
install -d -m 755 %{buildroot}%{php_libdir}
cp -rp src/Monolog %{buildroot}%{php_libdir}

cat > %{buildroot}%{php_libdir}/Monolog/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Monolog\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
    '%{php_libdir}/Psr/Log/autoload.php',
));

\Fedora\Autoloader\Dependencies::optional(array(
    array(
        '%{php_libdir}/Aws3/autoload.php',
        '%{php_libdir}/Aws/autoload.php',
    ),
    '%{php_libdir}/Raven/autoload.php',
    '%{php_libdir}/Swift/swift_required.php',
));
EOF

%files
%doc LICENSE *.md 
%{php_libdir}/Monolog


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.5.0-2.mga10
+ Revision: 2214541
- Mageia 10 Mass Rebuild

* Tue Apr 19 2022 mokraemer <mokraemer> 2.5.0-1.mga9
+ Revision: 1851885
- new version 2.5.0

* Mon Mar 21 2022 umeabot <umeabot> 2.1.1-2.mga9
+ Revision: 1812991
- Mageia 9 Mass Rebuild

* Fri Jul 31 2020 guillomovitch <guillomovitch> 2.1.1-1.mga8
+ Revision: 1610022
- new version 2.1.1

* Mon Jun 01 2020 guillomovitch <guillomovitch> 2.1.0-1.mga8
+ Revision: 1589437
- new version 2.1.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.2-2.mga8
+ Revision: 1541484
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 guillomovitch <guillomovitch> 2.0.2-1.mga8
+ Revision: 1474516
- new version 2.0.2

* Sun Nov 17 2019 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1461494
- new version 2.0.1

* Sat Aug 31 2019 guillomovitch <guillomovitch> 2.0.0-1.mga8
+ Revision: 1435981
- version 2.0.0 final

* Mon Dec 31 2018 mokraemer <mokraemer> 2.0.0-0.beta1.mga7
+ Revision: 1347611
- new version 2.0.0-beta1

* Thu Sep 20 2018 umeabot <umeabot> 1.23.0-5.mga7
+ Revision: 1287657
- Mageia 7 Mass Rebuild

* Sat Oct 07 2017 guillomovitch <guillomovitch> 1.23.0-4.mga7
+ Revision: 1169841
- fix autoloader

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.23.0-3.mga7
+ Revision: 1168848
- misc cosmetics spec enhancements

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.23.0-2.mga7
+ Revision: 1168800
- fix dependencies

* Tue Oct 03 2017 guillomovitch <guillomovitch> 1.23.0-1.mga7
+ Revision: 1167997
- imported package php-monolog

